# Generated by Django 3.2 on 2021-04-26 14:18

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ("vlc", "0001_initial"),
    ]

    operations = [
        migrations.CreateModel(
            name="VerwerktObject",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "objecttype",
                    models.CharField(choices=[("persoon", "Persoon")], max_length=7),
                ),
                ("soortObjectId", models.CharField(max_length=242)),
                ("objectId", models.CharField(blank=True, max_length=40, null=True)),
                (
                    "betrokkenheid",
                    models.CharField(blank=True, max_length=242, null=True),
                ),
                (
                    "verwerkingsactie",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="verwerkteObjecten",
                        to="vlc.verwerkingsactie",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="VerwerktSoortGegeven",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("soortGegeven", models.CharField(max_length=242, unique=True)),
            ],
        ),
        migrations.DeleteModel(
            name="Object",
        ),
        migrations.AddField(
            model_name="verwerktobject",
            name="verwerktSoortenGegevens",
            field=models.ManyToManyField(to="vlc.VerwerktSoortGegeven"),
        ),
    ]
